Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class ScriptDataSourceDesign

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseDataSourceDesign
          org.eclipse.birt.data.engine.api.querydefn.ScriptDataSourceDesign

All Implemented Interfaces:
  IBaseDataSourceDesign, IScriptDataSourceDesign

    public class ScriptDataSourceDesign

extends BaseDataSourceDesign
implements IScriptDataSourceDesign

Default implementation of `IScriptDataSourceDesign` interface.

Constructor Summary
`ScriptDataSourceDesign(java.lang.String name)` Constructs a script data source with specified name

Method Summary
`java.lang.String` | `getCloseScript()` Gets the `close` script for closing the data source.
`java.lang.String` | `getOpenScript()` Gets the `open` script for opening the data source (connection).
`void` | `setCloseScript(java.lang.String script)` Specifies the `close` script for opening the data source (connection).
`void` | `setOpenScript(java.lang.String script)` Specifies the `open` script for opening the data source (connection).

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseDataSourceDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getEventHandler, getName, setAfterCloseScript, setAfterOpenScript, setBeforeCloseScript, setBeforeOpenScript, setEventHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSourceDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getEventHandler, getName`

Constructor Detail

### ScriptDataSourceDesign

    public ScriptDataSourceDesign(java.lang.String name)

  Constructs a script data source with specified name

  Parameters:
    `name` -

Method Detail

### getOpenScript

    public java.lang.String getOpenScript()

  Description copied from interface: `IScriptDataSourceDesign`
  Gets the `open` script for opening the data source (connection).

  Specified by:
    `getOpenScript` in interface `IScriptDataSourceDesign`
  Returns:
    The `open` script.
  See Also:
    `IScriptDataSourceDesign.getOpenScript()`

### setOpenScript

    public void setOpenScript(java.lang.String script)

  Specifies the `open` script for opening the data source (connection).

### getCloseScript

    public java.lang.String getCloseScript()

  Description copied from interface: `IScriptDataSourceDesign`
  Gets the `close` script for closing the data source.

  Specified by:
    `getCloseScript` in interface `IScriptDataSourceDesign`
  Returns:
    The `close` script
  See Also:
    `IScriptDataSourceDesign.getCloseScript()`

### setCloseScript

    public void setCloseScript(java.lang.String script)

  Specifies the `close` script for opening the data source (connection).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.